; TIMWIN Demo program 05/30/92       (c) TEA 1992
;
;dfrdcol  --  Free running colour DEMO 
;
#define DfrdColour          1100
#define Dfrd256Col          1110
#define Dfrd4096Col         1120
#define Dfrd256VGA          1130
#define DfrdDithering       1140

#include timdefs.h

parms
 int imode
 file timhelp
 int hmode
endparms

int choice
int nred = 1
int ngreen = 1
int nblue = 1
int tmp, imgpresent
int numdest = Dfrd256Col
file destim = "h"
file basename = "baboon"


help timhelp DfrdColour 2
imgpresent = chk copy missr a  ;test availability colour version of image 'miss'
print @cb2 " "
cls
repeat      ;until
  scrs 1, 1
 print @i @8 "TIMWIN Colour  -  Choose one of the following: " @r
 print @cb2 @cf0 @8 "Return to the previous menu. . . . . . . . . . 0"  @r
 print @cb3 @8 "Specify source image:"
 print @cb2 @14     "BABOON . . . . . . . . . . . . . . . . . 1" 
if imgpresent == 0
 print @cb2 @14     "MISS   . . . . . . . . . . . . . . . . . 2" 
endif
 print @cb3 @8 "Specify display method:"
 print @cb2 @14     "Dithering  . . . . . . . . . . . . . . . 3" 
 print @cb2 @14     "256 colours  . . . . . . . . . . . . . . 4"
 print @cb2 @14     "4096 colours (12-bit FG only). . . . . . 5" 
 print @cb3 @8 "Specify destination:" 
 print @cb2 @14     "Frame grabber image  . . . . . . . . . . 6"
 print @cb2 @14     "Windows image  . . . . . . . . . . . . . 7" 

 print @cb1 @8      "Go!  . . . . . . . . . . . . . . . . . . . . . 9", @r @cb2
 choice = "        Enter your choice . . . . . . . . . . . . . > "
print @cb2 " "

 switch choice
    case 1:
      basename = "baboon"
    case 2:
      basename = "miss"
    case 3:
      help timhelp DfrdDithering 2
      nred = ngreen = nblue = 1
    case 4:
      help timhelp numdest 2
      nred = nblue = 6
      ngreen = 7
    case 5:
      help timhelp Dfrd4096Col 2
      nred = ngreen = nblue = 16
    case 6:
      numdest = Dfrd256Col
      dest p
      era
      zoom 1
      destim = "p"
    case 7:
      numdest = Dfrd256VGA
      dest h
      era 
      destim = "h"
    case 9
      if (tmp = run coluniv destim basename nred ngreen nblue) > 0
        pause
        cls
      endif
  endsw


until choice == 0
print @n " "
cls
stop
